Skip to main content
`Ctrl`+`K`

# Report

class miml.report.report.Report(y_pred: ndarray, label_probs: ndarray, dataset_test: MIMLDataset, metrics: list[str] | None = None, header: bool = True, per_label: bool = True)

  Class to generate a report

  calculate_metrics(beta: int = 0.5)

    Calculate metrics of the predicted data

    ## Parameters

    betaint, default = 0.5

      Beta value for the fbeta_score function

  to_csv(path: str | None = None)

    Print/save data as csv format

    ## Parameters

    pathstr, default=None

      Path to csv where the data would be stored

  to_string()

    Print data as string format